> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace a taxonomy



## OpenAPI

````yaml /api-reference/4.2/service-taxonomy.json put /collections/{collection}/taxonomy
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service taxonomy
servers:
  - url: /api/apollo/
security: []
tags:
  - name: taxonomy
paths:
  /collections/{collection}/taxonomy:
    put:
      tags:
        - 4.2 Taxonomy API
      summary: Replace a taxonomy
      operationId: replaceTaxonomy
      parameters:
        - name: collection
          in: path
          description: The name of a collection
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/CategoryArray'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Category'
components:
  requestBodies:
    CategoryArray:
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Category'
      description: JSON-formatted list of categories
  schemas:
    Category:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        version:
          type: string
        parameters:
          type: array
          items:
            $ref: '#/components/schemas/KeyValue'
        children:
          type: array
          items:
            $ref: '#/components/schemas/Category'
        parents:
          type: array
          items:
            type: string
    KeyValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true

````